Перейти к содержимому
Главная

Kling Video Extend

kling-video-extend

Video duration extension interface, supporting forward and backward extension.

POST /v1/queue/kling-video-extend # Создать задачу
GET /v1/queue/kling-video-extend/requests/{request_id}/status # Проверить статус
GET /v1/queue/kling-video-extend/requests/{request_id}/response # Получить результат
PUT /v1/queue/kling-video-extend/requests/{request_id}/cancel # Отменить задачу
Окно терминала
curl --request 'POST' 'https://odirouter.ai/model/v1/queue/kling-video-extend' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--location \
--data-raw '{
"video_id": "",
"prompt": "A beautiful sunset scene",
"negative_prompt": "blurry, low quality",
"cfg_scale": 0.5,
"callback_url": "https://example.com/webhook"
}'

Video ID

Supports the ID of videos generated through text, image, and video extension (original video cannot exceed 3 minutes)


Positive text prompt, max 2500 characters


Negative text prompt, max 2500 characters


Prompt reference strength. Higher values mean stronger reference

Range: 0 - 1

Default: 0.5


Callback notification URL for task results. If configured, the server will actively notify when task status changes


Custom task ID

User-defined task ID that will not override the system-generated task ID but can be used for task queries

{
"request_id": "task_01hxyz...",
"response_url": "https://odirouter.ai/model/v1/queue/kling-video-extend/requests/task_01hxyz.../response",
"status_url": "https://odirouter.ai/model/v1/queue/kling-video-extend/requests/task_01hxyz.../status",
"cancel_url": "https://odirouter.ai/model/v1/queue/kling-video-extend/requests/task_01hxyz.../cancel",
"queue_position": 0
}
ПолеТипОписание
request_idstringИдентификатор задачи для последующей проверки статуса, получения результата и отмены.
response_urlstringURL для получения итогового результата.
status_urlstringURL для проверки статуса задачи.
cancel_urlstringURL для отмены задачи.
queue_positionintТекущая позиция в очереди.